Distribution: 	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Tools needed to create Texinfo format documentation files.
Name: 		texinfo
Version: 	4.13
Release: 	1
License: 	GPL
Group: 		System/Base
URL: 		ftp://ftp.gnu.org/pub/gnu/texinfo/
Source0: 	ftp://ftp.gnu.org/gnu/texinfo/texinfo-%{version}a.tar.gz
Source1: 	info-dir
Prereq: 	/sbin/install-info
Buildroot: 	%{_tmppath}/%{name}-%{version}-root

# Redefine this so "dir" in the info directory isn't compressed

%define __spec_install_post %{?__debug_package:%{__debug_install_post}} /usr/lib/rpm/brp-strip \; /usr/lib/rpm/brp-strip-comment-note \; rm -f

#Automatically resolved build dependencies
BuildRequires: glibc
BuildRequires: ncurses-devel

%description
Texinfo is a documentation system that can produce both online
information and printed output from a single source file. The GNU
Project uses the Texinfo file format for most of its documentation.

Install texinfo if you want a documentation system for producing both
online and print documentation from the same source file and/or if you
are going to write documentation for the GNU Project.

%package -n info
Summary: 	A stand-alone TTY-based reader for GNU texinfo documentation.
Group: 		System/Base
# By making info prereq bash, other packages which have triggers based on
# info don't run those triggers until bash is in place as well. This is an
# ugly method of doing it (triggers which fire on set intersection would
# be better), but it's the best we can do for now. Talk to Erik before
# removing this.
Prereq: bash 

%description -n info
The GNU project uses the texinfo file format for much of its
documentation. The info package provides a standalone TTY-based
browser program for viewing texinfo files.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make %{?_smp_mflags}
make -C util LIBS=%{_libdir}/libz.a

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/sbin

%makeinstall

pushd ${RPM_BUILD_ROOT}
  gzip -n -9f .%{_infodir}/*info*
  gzip -n -9f .%{_mandir}/*/*
  install -m644 $RPM_SOURCE_DIR/info-dir .%{_infodir}/dir
  mv -f .%{_bindir}/install-info ./sbin
popd

rm -f $RPM_BUILD_ROOT%{_datadir}/texinfo/texinfo.{xsl,dtd}
%find_lang %name

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/install-info %{_infodir}/texinfo.gz %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/texinfo.gz %{_infodir}/dir
fi

%post -n info
/sbin/install-info %{_infodir}/info-stnd.info.gz %{_infodir}/dir

%preun -n info
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/info-stnd.info.gz %{_infodir}/dir
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL INTRODUCTION NEWS README TODO
%doc --parents info/README
%{_bindir}/makeinfo
%{_bindir}/texindex
%{_bindir}/texi2dvi
%{_bindir}/texi2pdf
%{_bindir}/pdftexi2dvi
%{_datadir}/texinfo
%{_infodir}/texinfo*
%{_mandir}/man1/makeinfo.1*
%{_mandir}/man1/texindex.1*
%{_mandir}/man1/texi2dvi.1*
%{_mandir}/man1/pdftexi2dvi.1.gz
%{_mandir}/man1/texi2pdf.1.gz
%{_mandir}/man5/texinfo.5*

%files -n info
%defattr(-,root,root)
#%config(missingok) /etc/X11/applnk/Utilities/info.desktop
%config(noreplace) %verify(not md5 size mtime) %{_infodir}/dir
%{_bindir}/info
%{_bindir}/infokey
%{_infodir}/info.info*
%{_infodir}/info-stnd.info*
/sbin/install-info
%{_mandir}/man1/info.1*
%{_mandir}/man1/infokey.1*
%{_mandir}/man1/install-info.1*
%{_mandir}/man5/info.5*

%changelog
* Mon Dec 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.13-1
Version update, 4.13a
* Wed Oct 10 2007 Christian Metzen <metzench@ccux-linux.de> 4.11-1
- Version update, changed info package Group
* Wed Oct 11 2006 Christian Metzen <metzench@ccux-linux.de> 4.8a-1
- Version update
* Sat Jun 25 2005 Christian Metzen <metzench@ccux-linux.de> 4.8-2
- Tweaked Specfile, adjusted Group
* Sat Jun 25 2005 Andreas Roth <aroth@arsoft-online.com> 4.8-1
- rebuild for ccux
* Wed Apr 14 2004 Christian Metzen <metzench@ccux-linux.de> 4.7-1
- Initial Release
